# Resend an email

Endpoint: POST /v3/domains/{domain_name}/messages/{storage_key}
Version: 3.0.0
Security: basicAuth

## Path parameters:

  - `domain_name` (string, required)
    Domain name used to send the message

  - `storage_key` (string, required)
    Storage key from the email's associated events (Example: Accepted/Delivered events storage.key field). Note: Storage keys are available for the duration of your domain's message retention policy.

## Request fields (multipart/form-data):

  - `to` (string, required)
    Email address of the recipient(s). Supports friendly name format. Example: "Bob ". Use commas to separate multiple recipients. Duplicate addresses are automatically ignored.

## Response 200 fields (application/json):

  - `id` (string, required)
    The unique identifier of the message as defined by [RFC-2392](https://datatracker.ietf.org/doc/html/rfc2392).

  - `message` (string, required)
    A success message


